Package ru.bitel.bgbilling.kernel.event.events

# Class GetAdditionalWebActionListEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.GetAdditionalActionListEvent
ru.bitel.bgbilling.kernel.event.events.GetAdditionalWebActionListEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class GetAdditionalWebActionListEvent extends GetAdditionalActionListEvent
Синхронное событие - Получение списка доп. действия для Web статистики.
Создание списка доп. действий, доступных к вызову со страницы Web-статистики пользователя.
Расширяет событие `GetAdditionalActionListEvent`.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GetAdditionalWebActionListEvent()`
  ``
  `GetAdditionalWebActionListEvent(int contractId, jakarta.servlet.http.HttpServletRequest request)`
  Конструктор события.
  Создается с кодом пользователя Web-статистики

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ParameterMap`
  `getParams()`
  `jakarta.servlet.http.HttpServletRequest`
  `getRequest()`
  `void`
  `setParams(ParameterMap params)`
  `void`
  `setRequest(jakarta.servlet.http.HttpServletRequest request)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.events.GetAdditionalActionListEvent

  `actionAllowed, addAction, addAction, getActionList, getActionListWithDescription`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetAdditionalWebActionListEvent

    protected GetAdditionalWebActionListEvent()

  - ### GetAdditionalWebActionListEvent

    public GetAdditionalWebActionListEvent(int contractId, jakarta.servlet.http.HttpServletRequest request)
    Конструктор события.
    Создается с кодом пользователя Web-статистики
    Parameters:
      `contractId` - - id договора
    See Also:
      - `User`

- ## Method Details

  - ### getRequest

    public jakarta.servlet.http.HttpServletRequest getRequest()

  - ### setRequest

    public void setRequest(jakarta.servlet.http.HttpServletRequest request)

  - ### getParams

    public ParameterMap getParams()

  - ### setParams

    public void setParams(ParameterMap params)